---
updatedAt: 2025-09-22T23:12:43.000Z
agentTools:
  projectIndex: https://developers.conekta.com/v2.1.0/llms.txt
---

# Reporte Payments

Reporte de los pagos de una compañía.

## Authorization

| Nombre        | Tipo  | Descripción                                                                                                  |
| :------------ | :---- | :----------------------------------------------------------------------------------------------------------- |
| Authorization | Basic | \[Se utiliza la auth que maneja Conekta.]\[]\(<https://developers.conekta.com/reference/autenticaci%C3%B3n>) |

## Query

<Table align={["left","left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Nombre
      </th>

      <th style={{ textAlign: "left" }}>
        Obligatorio
      </th>

      <th style={{ textAlign: "left" }}>
        Tipo
      </th>

      <th style={{ textAlign: "left" }}>
        Descripción
      </th>

      <th style={{ textAlign: "left" }}>
        Ejemplo
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        next\_page\_url
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        ID de la siguiente página.
      </td>

      <td style={{ textAlign: "left" }}>
        1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        size
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        int
      </td>

      <td style={{ textAlign: "left" }}>
        Cantidad de datos que se devuelven.
      </td>

      <td style={{ textAlign: "left" }}>
        Por defecto es 100.\
        Mínimo 1\
        Máximo 1000
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        from
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        int64
      </td>

      <td style={{ textAlign: "left" }}>
        Fecha desde que se tiene que buscar.
      </td>

      <td style={{ textAlign: "left" }}>
        1661220000000\
        Por defecto se toman los últimos 31 días
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        to
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        int64
      </td>

      <td style={{ textAlign: "left" }}>
        Fecha hasta que se tiene que buscar.
      </td>

      <td style={{ textAlign: "left" }}>
        1661220000000\
        Por defecto se toman los últimos 31 días.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        amount\_to
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        int64
      </td>

      <td style={{ textAlign: "left" }}>
        Monto mínimo desde que buscar
      </td>

      <td style={{ textAlign: "left" }}>
        100
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        amount\_from
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        int64
      </td>

      <td style={{ textAlign: "left" }}>
        Monto máximo al  buscar
      </td>

      <td style={{ textAlign: "left" }}>
        200
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        sort
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Valor de ordenamiento  (asc, desc) 
      </td>

      <td style={{ textAlign: "left" }}>
        asc
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        payment\_method
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Filtro de payment method\
        (CreditCardPayment SpeiPayment CashPayment BanortePayment BnplPayment)
      </td>

      <td style={{ textAlign: "left" }}>
        CashPayment
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        status
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Filtro de status\
        (expired paid canceled pending\_payment refunded voided charged\_back partially\_refunded reversed pre\_authorized pending\_confirmation under\_review)
      </td>

      <td style={{ textAlign: "left" }}>
        paid
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        field
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Filtro de campos 
      </td>

      <td style={{ textAlign: "left" }}>
        status,bank
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        customer\_id
      </td>

      <td style={{ textAlign: "left" }}>
        No
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Filtro por customer id
      </td>

      <td style={{ textAlign: "left" }}>
        cus\_1234....a
      </td>
    </tr>
  </tbody>
</Table>

## Solicitud

```curl Curl
curl --location --request GET 'https://services.conekta.com/reports/v1/payments?from=1661220000000&to=1661292000000&next_page_url=1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1&size=1000' \
--header 'Authorization: Bearer key_11111111111aaaaaaaaaa'
```

## Respuesta

```json Json
{
    "next_page_url": "https://services.conekta.com/reports/v1/payments?from=1661220000000&to=1661292000000&next_page_url=1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1&size=1000",
    "has_more": true,
    "total": 2,
    "object": "list",
    "data": [
        {
            "create_date": 1661220000000,
            "pay_date": 1661220000000,
            "charge_id": "1111111111111aaaaaaaaaaaaaa",
            "transaction_type": "capture",
            "payment_method": "CreditCardPayment",
            "status": "paid",
            "error_message": "",
            "failure_code": "",
            "antifraud_code": "",
            "charge_amount": 100,
            "commission": 50.50,
            "deposit_amount": 50.50,
            "currency": "MXN",
            "exchange_rate": 1,
            "reference_id": "",
            "description": "item ",
            "name": "Juan Perez",
            "email": "juan_perez@gmail.com",
            "phone": "5555555555",
            "ip": "10.0.0.10",
            "cardholder_name": "Juan Perez",
            "card_number": "424242** **** 4242",
            "bank": "BANAMEX",
            "card_brand": "visa",
            "country_card": "MX",
            "type": "Credit",
            "card_type": "credit",
            "payment_cash": "",
            "store": "",
            "deposit_id": "11111111111aaaaaaaabbbbbb11",
            "deposit_date": 1661220000000,
            "monthly_installments": 2,
            "transaction_id": "22222222222aaaaaaaabbbbbb11",
            "invoice_id": "",
            "livemode": false,
            "checkout_id": "22222222aaaaaaaa",
            "antifraud_decision": "",
            "banking_decision": "A",
            "shipping_address": "Calle 1, Calle 2, CDMX, MX, 0001",
            "customer_id": "cus_2222222AAAAAAA",
            "order_id": "ord_333333333BBBBBB",
            "chargeback_date": null,
            "refund_date": null,
            "auth_code": "123456",
            "channel": "",
            "checkout_request_id": "",
            "checkout_request_type": "",
            "checkout_request_name": "",
            "item_name": "ITEM PRINCIPAL",
            "item_description": "Este es item",
            "branch_office": "",
            "company_id": "123456789aaaaaaabbbbbbb",
            "subscription_id": "sub_aaaaaaaaa1111111222",
            "deposit_reference": "",
            "metadata": "{\"Integration\":\"API\"}"
        }
    ]
}
```